import { ref as y, watch as ae, defineComponent as T, useSlots as nt, openBlock as c, createBlock as M, resolveDynamicComponent as ie, normalizeClass as $, unref as h, withCtx as U, createCommentVNode as F, createElementBlock as b, renderSlot as Q, computed as f, useAttrs as Pt, normalizeStyle as Ut, createElementVNode as x, toDisplayString as N, mergeProps as ke, toRef as Mt, createStaticVNode as Nt, toRefs as ot, withDirectives as lt, vModelCheckbox as it, Fragment as Ce, createVNode as O, Transition as Ye, createTextVNode as Te, cloneVNode as Rt, h as C, inject as R, provide as I, watchEffect as q, onMounted as A, onUnmounted as H, Teleport as zt, reactive as jt, shallowRef as qt, nextTick as Ht, withModifiers as It } from "vue";
const Vt = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, Wt = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
}, Ka = function({ addBase: e }) {
  for (const [t, r] of Object.entries(Vt))
    e({
      ":root": {
        [t]: r
      }
    });
  for (const [t, r] of Object.entries(Wt))
    e({
      '[data-context="alternative"]': {
        [t]: r
      }
    });
}, Zt = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
};
function Qt(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var st = {}, ut = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((a) => t(a)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([a, n]) => [
      a,
      t(n)
    ])) : r;
  }
})(ut);
var Gt = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = ut, r = /* @__PURE__ */ a(Gt);
  function a(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const n = (0, t.cloneDeep)(r.default.theme);
})(st);
let _e = st;
var Kt = (_e.__esModule ? _e : { default: _e }).default;
const Xe = /* @__PURE__ */ Qt(Kt), Yt = {
  sans: ["Archivo", ...Xe.fontFamily.sans],
  serif: ["IBM Plex Serif", ...Xe.fontFamily.serif]
}, Xt = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Jt = {
  4.5: "1.125rem"
}, er = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, tr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, rr = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, ar = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, nr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Ya = {
  theme: {
    extend: {
      fontFamily: Yt,
      fontSize: Xt,
      lineHeight: Jt,
      colors: Zt,
      textColor: er,
      borderColor: tr,
      backgroundColor: rr,
      outlineColor: ar,
      ringColor: nr
    }
  }
};
function Je(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const a = y(t);
  function n(o, l) {
    const i = Date.now(), s = r, u = l - o, d = () => {
      const v = Date.now() - i, p = or(v, o, u, s);
      v < s ? (a.value = Math.floor(p), window.requestAnimationFrame(d)) : a.value = l;
    };
    d();
  }
  return ae(
    e,
    (o) => {
      n(a.value ?? t, o);
    },
    { immediate: !0 }
  ), { value: a };
}
function or(e, t, r, a) {
  return e /= a, -r * e * (e - 2) + t;
}
const Ne = /* @__PURE__ */ T({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    center: { type: Boolean, default: !0 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e, r = nt(), a = t.icon !== void 0 && !r.default;
    return (n, o) => (c(), M(ie(n.is), {
      disabled: n.disabled,
      class: $(["bcc-button", {
        "bcc-button-xs": n.size === "xs",
        "bcc-button-sm": n.size === "sm",
        "bcc-button-lg": n.size === "lg",
        "bcc-button-xl": n.size === "xl",
        "bcc-button-danger": n.context === "danger",
        "bcc-button-primary": n.variant === "primary",
        "bcc-button-secondary": n.variant === "secondary",
        "bcc-button-tertiary": n.variant === "tertiary",
        "bcc-button-icon-only": h(a),
        "bcc-button-rounded": n.rounded,
        "bcc-button-center": n.center
      }])
    }, {
      default: U(() => [
        n.icon ? (c(), M(ie(n.icon), {
          key: 0,
          class: "bcc-button-icon order-2"
        })) : F("", !0),
        n.$slots.default ? (c(), b("span", {
          key: 1,
          class: $([n.iconRight ? "order-1" : "order-3"])
        }, [
          Q(n.$slots, "default")
        ], 2)) : F("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
});
let lr = 0;
function ir() {
  return ++lr;
}
function Ze() {
  return ir();
}
const sr = {
  key: 0,
  class: "bcc-input-optional-label"
}, ur = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, dr = ["disabled", "required", "value"], cr = {
  inheritAttrs: !1
}, Xa = /* @__PURE__ */ T({
  ...cr,
  __name: "BccInput",
  props: {
    modelValue: {},
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, r = `bcc-input-${Ze()}`, a = f(() => t.showOptionalLabel && !t.required), n = Pt(), o = f(() => {
      let l = {};
      for (const i in n)
        i !== "class" && i !== "style" && (l[i] = n[i]);
      return l;
    });
    return (l, i) => (c(), b("div", {
      class: $(["bcc-input-container", l.$attrs.class]),
      style: Ut(l.$attrs.style)
    }, [
      l.label || a.value ? (c(), b("label", {
        key: 0,
        class: "bcc-input-label",
        for: r
      }, [
        x("span", null, N(l.label), 1),
        a.value ? (c(), b("span", sr, N(l.optionalLabel), 1)) : F("", !0)
      ])) : F("", !0),
      x("div", {
        class: $(["bcc-input-wrapper", {
          "bcc-input-lg": l.size === "lg"
        }])
      }, [
        l.icon ? (c(), b("div", ur, [
          (c(), M(ie(l.icon), {
            class: "bcc-input-icon",
            "aria-hidden": "true"
          }))
        ])) : F("", !0),
        x("input", ke({
          id: r,
          disabled: l.disabled,
          required: l.required,
          class: ["bcc-input", {
            "bcc-input-error": l.state === "error",
            "bcc-input-success": l.state === "success",
            "bcc-input-with-icon": l.icon
          }],
          value: l.modelValue,
          onInput: i[0] || (i[0] = (s) => l.$emit("update:modelValue", s.target.value))
        }, o.value), null, 16, dr)
      ], 2),
      l.$slots.default ? (c(), b("span", {
        key: 1,
        class: $({
          "bcc-input-message-default": l.state === "default",
          "bcc-input-message-error": l.state === "error",
          "bcc-input-message-success": l.state === "success"
        })
      }, [
        Q(l.$slots, "default")
      ], 2)) : F("", !0)
    ], 6));
  }
}), pr = { class: "order-2" }, Ja = /* @__PURE__ */ T({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (c(), b("div", {
      class: $(["bcc-badge", {
        "bcc-badge-sm": t.size === "sm",
        "bcc-badge-danger": t.context === "danger",
        "bcc-badge-warning": t.context === "warning",
        "bcc-badge-success": t.context === "success",
        "bcc-badge-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), M(ie(t.icon), {
        key: 0,
        class: $(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : F("", !0),
      x("span", pr, [
        Q(t.$slots, "default")
      ])
    ], 2));
  }
}), vr = { key: 1 }, en = /* @__PURE__ */ T({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    text: {}
  },
  setup(e) {
    return (t, r) => (c(), b("div", {
      class: $(["bcc-pin", {
        "bcc-pin-danger": t.context === "danger",
        "bcc-pin-warning": t.context === "warning",
        "bcc-pin-success": t.context === "success",
        "bcc-pin-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), M(ie(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (c(), b("span", vr, N(t.text), 1)) : F("", !0)
    ], 2));
  }
}), fr = /* @__PURE__ */ x("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), br = ["stroke-dashoffset"], mr = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, gr = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, tn = /* @__PURE__ */ T({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: r } = Je(
      Mt(t, "used"),
      t.used,
      t.animationDuration
    ), a = f(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: n } = Je(
      a,
      a.value,
      t.animationDuration
    ), o = Math.PI * 18 * 2;
    return (l, i) => (c(), b("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: $(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": l.size == "lg",
        "bcc-capacity-indicator-open": l.total == -1 || h(n) >= 0 && h(n) < 50,
        "bcc-capacity-indicator-warning": h(n) >= 50 && h(n) < 100,
        "bcc-capacity-indicator-full": h(n) >= 100
      }])
    }, [
      fr,
      h(n) > -1 ? (c(), b("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": o,
        "stroke-dashoffset": o * ((100 - h(n)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, br)) : F("", !0),
      h(n) > -1 ? (c(), b("text", mr, N(h(n) < 100 ? l.total - h(r) : 0), 1)) : (c(), b("path", gr))
    ], 2));
  }
}), rn = /* @__PURE__ */ T({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (c(), b("div", {
      class: $(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, N(t.initials.slice(0, 2)), 3));
  }
});
function dt(e, t) {
  return c(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    x("path", { d: "M378 802.065q-6.717 0-12.554-2.358-5.837-2.359-11.316-7.837l-181-181q-10.195-10.196-10.195-24.87 0-14.674 10.195-24.87 10.196-10.195 23.99-10.195 13.793 0 24.228 10.195L378 717.782 737.891 358.13q10.196-10.195 24.37-10.315 14.174-.119 24.369 10.315 10.196 10.196 10.196 24.49 0 14.293-10.196 24.489L401.87 791.87q-5.479 5.478-11.316 7.837-5.837 2.358-12.554 2.358Z" })
  ]);
}
function ct(e, t) {
  return c(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    x("path", { d: "M480 623.739 272.87 830.87q-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87L432.261 576 225.13 368.87q-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87 10.196-10.195 23.87-10.195 13.674 0 23.87 10.195L480 528.261 687.13 321.13q10.196-10.195 23.87-10.195 13.674 0 23.87 10.195 10.195 10.196 10.195 23.87 0 13.674-10.195 23.87L527.739 576 734.87 783.13q10.195 10.196 10.195 23.87 0 13.674-10.195 23.87-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195L480 623.739Z" })
  ]);
}
function yr(e, t) {
  return c(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    x("path", { d: "M420.118 498Q446 498 464 479.882q18-18.117 18-44Q482 410 463.882 392q-18.117-18-44-18Q394 374 376 392.118q-18 18.117-18 44Q358 462 376.118 480q18.117 18 44 18Zm-80 200Q366 698 384 679.882q18-18.117 18-44Q402 610 383.882 592q-18.117-18-44-18Q314 574 296 592.118q-18 18.117-18 44Q278 662 296.118 680q18.117 18 44 18ZM600 736q17 0 28.5-11.5T640 696q0-17-11.5-28.5T600 656q-17 0-28.5 11.5T560 696q0 17 11.5 28.5T600 736ZM480.162 980.065q-83.119 0-156.836-31.858-73.717-31.859-128.696-86.837-54.978-54.979-86.837-128.741Q75.935 658.867 75.935 576q0-84.63 32.337-158.348 32.337-73.717 87.174-128.598 54.837-54.88 127.315-86.641 72.478-31.761 153-32.478 33.913 0 54.967 15.956 21.055 15.957 25.816 49.631 7.76 57.282 47.967 96.467 40.206 39.185 96.728 47.663 21.957 3 34.913 16.837 12.957 13.837 18.435 39.033 5.717 29.326 25.402 52.869 19.685 23.544 46.772 37.065 33.416 16.136 46.36 38.242 12.944 22.106 8.944 56.737-7.717 74.545-41.956 139.99-34.239 65.445-87.979 114.303-53.739 48.859-123.184 77.098-69.445 28.239-148.784 28.239Zm-.091-68.13q139.814 0 232.122-91.587 92.307-91.587 104.263-225.957-53.043-20-86.304-59.261-33.261-39.26-41.261-89.543-80.043-11.239-135.902-69.761-55.859-58.522-64.576-136.282-70.891-2.044-133.717 24-62.826 26.043-109.609 71.728-46.783 45.685-73.902 108.072-27.12 62.387-27.12 132.656 0 140.431 97.752 238.183 97.752 97.752 238.254 97.752Zm.69-340.218Z" })
  ]);
}
function hr(e, t) {
  return c(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    x("path", { d: "M222.152 981.5q-28.104 0-48.117-20.013-20.013-20.014-20.013-48.117V483.674q0-28.203 20.013-48.286 20.013-20.084 48.117-20.084h65.218v-90.739q0-80.366 56.265-136.857 56.266-56.491 136.414-56.491 80.147 0 136.364 56.491t56.217 136.857v90.739h65.218q28.202 0 48.286 20.084 20.084 20.083 20.084 48.286V913.37q0 28.103-20.084 48.117Q766.05 981.5 737.848 981.5H222.152Zm0-68.13h515.696V483.674H222.152V913.37Zm258.016-137.848q31.832 0 54.332-22.032 22.5-22.031 22.5-52.968 0-30-22.668-54.5t-54.5-24.5q-31.832 0-54.332 24.5t-22.5 55q0 30.5 22.668 52.5t54.5 22ZM355.5 415.304h249V324.62q0-52.388-36.152-88.711-36.152-36.322-88.174-36.322-52.022 0-88.348 36.322Q355.5 272.232 355.5 324.62v90.684ZM222.152 913.37V483.674 913.37Z" })
  ]);
}
function wr(e, t) {
  return c(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    x("path", { d: "M601.217 746.043q9.623 9.957 22.986 9.837 13.362-.119 24.059-10.816 10.977-10.738 11.358-24.934.38-14.195-10.337-23.913L515.63 562.461V395.587q0-13.196-9.241-22.413-9.242-9.217-23.339-9.217-14.096 0-23.388 9.256-9.292 9.256-9.292 23.374v178.935q0 6.603 2.358 12.446 2.359 5.843 6.837 11.423l141.652 146.652ZM480.033 981.978q-83.468 0-157.514-31.946t-129.32-87.211q-55.274-55.265-87.226-129.3-31.951-74.034-31.951-157.495t31.998-157.534q31.998-74.073 87.199-129.273 55.2-55.201 129.251-87.319 74.05-32.118 157.53-32.118T637.53 201.9q74.051 32.118 129.251 87.319 55.201 55.2 87.319 129.251 32.118 74.05 32.118 157.53T854.1 733.53q-32.118 74.051-87.319 129.251-55.2 55.201-129.24 87.199-74.04 31.998-157.508 31.998ZM480 576Zm-.122 337.848q139.165 0 238.568-99.163 99.402-99.163 99.402-238.565 0-139.403-99.371-238.685-99.37-99.283-238.475-99.283-139.285 0-238.567 99.253Q142.152 436.658 142.152 576q0 139.522 99.281 238.685 99.28 99.163 238.445 99.163Z" })
  ]);
}
const xr = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [a, n] of t)
    r[a] = n;
  return r;
}, Er = {}, Tr = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, Fr = /* @__PURE__ */ Nt('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), Lr = [
  Fr
];
function kr(e, t) {
  return c(), b("svg", Tr, Lr);
}
const Cr = /* @__PURE__ */ xr(Er, [["render", kr]]), Dr = ["disabled"], Ar = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, $r = {
  key: 0,
  class: "bcc-toggle-label"
}, an = /* @__PURE__ */ T({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, wasToggled: n, disabled: o, loading: l } = ot(r), i = f({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return (s, u) => (c(), b("label", {
      class: $(["bcc-toggle", { "bcc-toggle-was-toggled": h(n) }])
    }, [
      lt(x("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: h(l) || h(o),
        "onUpdate:modelValue": u[0] || (u[0] = (d) => i.value = d)
      }, null, 8, Dr), [
        [it, i.value]
      ]),
      x("span", Ar, [
        h(l) ? (c(), M(Cr, {
          key: 0,
          class: "h-3 w-3"
        })) : s.withIcon ? (c(), b(Ce, { key: 1 }, [
          O(h(dt), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          O(h(ct), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : F("", !0)
      ]),
      s.label ? (c(), b("span", $r, N(s.label), 1)) : F("", !0)
    ], 2));
  }
}), nn = /* @__PURE__ */ T({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, r) => (c(), b("div", {
      class: $(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (c(), M(ie(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (c(), M(h(wr), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (c(), M(h(dt), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (c(), M(h(hr), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : F("", !0)
    ], 2));
  }
}), Sr = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, Or = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, Br = { class: "bcc-cookie-banner" }, _r = { class: "bcc-cookie-banner-content" }, Pr = { class: "bcc-cookie-banner-title" }, Ur = { class: "bcc-cookie-banner-actions" }, on = /* @__PURE__ */ T({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    return (r, a) => (c(), b(Ce, null, [
      r.showOverlay ? (c(), M(Ye, {
        key: 0,
        name: "fade"
      }, {
        default: U(() => [
          r.open ? (c(), b("div", Sr)) : F("", !0)
        ]),
        _: 1
      })) : F("", !0),
      O(Ye, { name: "fade-fast" }, {
        default: U(() => [
          r.open ? (c(), b("div", Or, [
            x("div", Br, [
              x("div", _r, [
                x("div", Pr, [
                  O(h(yr), { class: "bcc-cookie-banner-icon" }),
                  x("h4", null, N(r.title), 1)
                ]),
                x("p", null, [
                  Q(r.$slots, "default")
                ])
              ]),
              x("div", Ur, [
                O(Ne, {
                  variant: "secondary",
                  onClick: a[0] || (a[0] = (n) => t("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: U(() => [
                    Te(N(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                O(Ne, {
                  onClick: a[1] || (a[1] = (n) => t("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: U(() => [
                    Te(N(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : F("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
});
function V(e, t, ...r) {
  if (e in t) {
    let n = t[e];
    return typeof n == "function" ? n(...r) : n;
  }
  let a = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((n) => `"${n}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(a, V), a;
}
var Fe = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(Fe || {}), K = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(K || {});
function _({ visible: e = !0, features: t = 0, ourProps: r, theirProps: a, ...n }) {
  var o;
  let l = vt(a, r), i = Object.assign(n, { props: l });
  if (e || t & 2 && l.static)
    return Pe(i);
  if (t & 1) {
    let s = (o = l.unmount) == null || o ? 0 : 1;
    return V(s, { 0() {
      return null;
    }, 1() {
      return Pe({ ...n, props: { ...l, hidden: !0, style: { display: "none" } } });
    } });
  }
  return Pe(i);
}
function Pe({ props: e, attrs: t, slots: r, slot: a, name: n }) {
  var o, l;
  let { as: i, ...s } = ft(e, ["unmount", "static"]), u = (o = r.default) == null ? void 0 : o.call(r, a), d = {};
  if (a) {
    let v = !1, p = [];
    for (let [m, g] of Object.entries(a))
      typeof g == "boolean" && (v = !0), g === !0 && p.push(m);
    v && (d["data-headlessui-state"] = p.join(" "));
  }
  if (i === "template") {
    if (u = pt(u ?? []), Object.keys(s).length > 0 || Object.keys(t).length > 0) {
      let [v, ...p] = u ?? [];
      if (!Mr(v) || p.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${n} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(s).concat(Object.keys(t)).map((w) => w.trim()).filter((w, D, Y) => Y.indexOf(w) === D).sort((w, D) => w.localeCompare(D)).map((w) => `  - ${w}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((w) => `  - ${w}`).join(`
`)].join(`
`));
      let m = vt((l = v.props) != null ? l : {}, s), g = Rt(v, m);
      for (let w in m)
        w.startsWith("on") && (g.props || (g.props = {}), g.props[w] = m[w]);
      return g;
    }
    return Array.isArray(u) && u.length === 1 ? u[0] : u;
  }
  return C(i, Object.assign({}, s, d), { default: () => u });
}
function pt(e) {
  return e.flatMap((t) => t.type === Ce ? pt(t.children) : [t]);
}
function vt(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, r = {};
  for (let a of e)
    for (let n in a)
      n.startsWith("on") && typeof a[n] == "function" ? (r[n] != null || (r[n] = []), r[n].push(a[n])) : t[n] = a[n];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(r).map((a) => [a, void 0])));
  for (let a in r)
    Object.assign(t, { [a](n, ...o) {
      let l = r[a];
      for (let i of l) {
        if (n instanceof Event && n.defaultPrevented)
          return;
        i(n, ...o);
      }
    } });
  return t;
}
function ft(e, t = []) {
  let r = Object.assign({}, e);
  for (let a of t)
    a in r && delete r[a];
  return r;
}
function Mr(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let Nr = 0;
function Rr() {
  return ++Nr;
}
function ne() {
  return Rr();
}
var bt = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(bt || {});
function L(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let mt = Symbol("Context");
var B = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(B || {});
function zr() {
  return Qe() !== null;
}
function Qe() {
  return R(mt, null);
}
function jr(e) {
  I(mt, e);
}
var qr = Object.defineProperty, Hr = (e, t, r) => t in e ? qr(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r, et = (e, t, r) => (Hr(e, typeof t != "symbol" ? t + "" : t, r), r);
class Ir {
  constructor() {
    et(this, "current", this.detect()), et(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let fe = new Ir();
function se(e) {
  if (fe.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = L(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let Re = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var G = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(G || {}), gt = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(gt || {}), Vr = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(Vr || {});
function Wr(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(Re)).sort((t, r) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (r.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var yt = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(yt || {});
function Zr(e, t = 0) {
  var r;
  return e === ((r = se(e)) == null ? void 0 : r.body) ? !1 : V(t, { 0() {
    return e.matches(Re);
  }, 1() {
    let a = e;
    for (; a !== null; ) {
      if (a.matches(Re))
        return !0;
      a = a.parentElement;
    }
    return !1;
  } });
}
var Qr = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(Qr || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function re(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let Gr = ["textarea", "input"].join(",");
function Kr(e) {
  var t, r;
  return (r = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, Gr)) != null ? r : !1;
}
function Yr(e, t = (r) => r) {
  return e.slice().sort((r, a) => {
    let n = t(r), o = t(a);
    if (n === null || o === null)
      return 0;
    let l = n.compareDocumentPosition(o);
    return l & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : l & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function Ee(e, t, { sorted: r = !0, relativeTo: a = null, skipElements: n = [] } = {}) {
  var o;
  let l = (o = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? o : document, i = Array.isArray(e) ? r ? Yr(e) : e : Wr(e);
  n.length > 0 && i.length > 1 && (i = i.filter((g) => !n.includes(g))), a = a ?? l.activeElement;
  let s = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), u = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, i.indexOf(a)) - 1;
    if (t & 4)
      return Math.max(0, i.indexOf(a)) + 1;
    if (t & 8)
      return i.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), d = t & 32 ? { preventScroll: !0 } : {}, v = 0, p = i.length, m;
  do {
    if (v >= p || v + p <= 0)
      return 0;
    let g = u + v;
    if (t & 16)
      g = (g + p) % p;
    else {
      if (g < 0)
        return 3;
      if (g >= p)
        return 1;
    }
    m = i[g], m == null || m.focus(d), v += s;
  } while (m !== l.activeElement);
  return t & 6 && Kr(m) && m.select(), 2;
}
function tt(e, t, r) {
  fe.isServer || q((a) => {
    document.addEventListener(e, t, r), a(() => document.removeEventListener(e, t, r));
  });
}
function ht(e, t, r) {
  fe.isServer || q((a) => {
    window.addEventListener(e, t, r), a(() => window.removeEventListener(e, t, r));
  });
}
function Xr(e, t, r = f(() => !0)) {
  function a(o, l) {
    if (!r.value || o.defaultPrevented)
      return;
    let i = l(o);
    if (i === null || !i.getRootNode().contains(i))
      return;
    let s = function u(d) {
      return typeof d == "function" ? u(d()) : Array.isArray(d) || d instanceof Set ? d : [d];
    }(e);
    for (let u of s) {
      if (u === null)
        continue;
      let d = u instanceof HTMLElement ? u : L(u);
      if (d != null && d.contains(i) || o.composed && o.composedPath().includes(d))
        return;
    }
    return !Zr(i, yt.Loose) && i.tabIndex !== -1 && o.preventDefault(), t(o, i);
  }
  let n = y(null);
  tt("mousedown", (o) => {
    var l, i;
    r.value && (n.value = ((i = (l = o.composedPath) == null ? void 0 : l.call(o)) == null ? void 0 : i[0]) || o.target);
  }, !0), tt("click", (o) => {
    n.value && (a(o, () => n.value), n.value = null);
  }, !0), ht("blur", (o) => a(o, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Le = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Le || {});
let ze = T({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: r }) {
  return () => {
    let { features: a, ...n } = e, o = { "aria-hidden": (a & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(a & 4) === 4 && (a & 2) !== 2 && { display: "none" } } };
    return _({ ourProps: o, theirProps: n, slot: {}, attrs: r, slots: t, name: "Hidden" });
  };
} });
function Jr() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function De() {
  let e = [], t = { addEventListener(r, a, n, o) {
    return r.addEventListener(a, n, o), t.add(() => r.removeEventListener(a, n, o));
  }, requestAnimationFrame(...r) {
    let a = requestAnimationFrame(...r);
    t.add(() => cancelAnimationFrame(a));
  }, nextFrame(...r) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...r);
    });
  }, setTimeout(...r) {
    let a = setTimeout(...r);
    t.add(() => clearTimeout(a));
  }, style(r, a, n) {
    let o = r.style.getPropertyValue(a);
    return Object.assign(r.style, { [a]: n }), this.add(() => {
      Object.assign(r.style, { [a]: o });
    });
  }, group(r) {
    let a = De();
    return r(a), this.add(() => a.dispose());
  }, add(r) {
    return e.push(r), () => {
      let a = e.indexOf(r);
      if (a >= 0)
        for (let n of e.splice(a, 1))
          n();
    };
  }, dispose() {
    for (let r of e.splice(0))
      r();
  } };
  return t;
}
var ve = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(ve || {});
function ea() {
  let e = y(0);
  return ht("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function wt(e, t, r, a) {
  fe.isServer || q((n) => {
    e = e ?? window, e.addEventListener(t, r, a), n(() => e.removeEventListener(t, r, a));
  });
}
function xt(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function ta(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
function Et(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let r of e.value) {
    let a = L(r);
    a instanceof HTMLElement && t.add(a);
  }
  return t;
}
var Tt = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(Tt || {});
let ce = Object.assign(T({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: y(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = y(null);
  a({ el: n, $el: n });
  let o = f(() => se(n)), l = y(!1);
  A(() => l.value = !0), H(() => l.value = !1), aa({ ownerDocument: o }, f(() => l.value && !!(e.features & 16)));
  let i = na({ ownerDocument: o, container: n, initialFocus: f(() => e.initialFocus) }, f(() => l.value && !!(e.features & 2)));
  oa({ ownerDocument: o, container: n, containers: e.containers, previousActiveElement: i }, f(() => l.value && !!(e.features & 8)));
  let s = ea();
  function u(m) {
    let g = L(n);
    g && ((w) => w())(() => {
      V(s.value, { [ve.Forwards]: () => {
        Ee(g, G.First, { skipElements: [m.relatedTarget] });
      }, [ve.Backwards]: () => {
        Ee(g, G.Last, { skipElements: [m.relatedTarget] });
      } });
    });
  }
  let d = y(!1);
  function v(m) {
    m.key === "Tab" && (d.value = !0, requestAnimationFrame(() => {
      d.value = !1;
    }));
  }
  function p(m) {
    if (!l.value)
      return;
    let g = Et(e.containers);
    L(n) instanceof HTMLElement && g.add(L(n));
    let w = m.relatedTarget;
    w instanceof HTMLElement && w.dataset.headlessuiFocusGuard !== "true" && (Ft(g, w) || (d.value ? Ee(L(n), V(s.value, { [ve.Forwards]: () => G.Next, [ve.Backwards]: () => G.Previous }) | G.WrapAround, { relativeTo: m.target }) : m.target instanceof HTMLElement && re(m.target)));
  }
  return () => {
    let m = {}, g = { ref: n, onKeydown: v, onFocusout: p }, { features: w, initialFocus: D, containers: Y, ...P } = e;
    return C(Ce, [!!(w & 4) && C(ze, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Le.Focusable }), _({ ourProps: g, theirProps: { ...t, ...P }, slot: m, attrs: t, slots: r, name: "FocusTrap" }), !!(w & 4) && C(ze, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Le.Focusable })]);
  };
} }), { features: Tt }), ee = [];
ta(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && ee[0] !== t.target && (ee.unshift(t.target), ee = ee.filter((r) => r != null && r.isConnected), ee.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function ra(e) {
  let t = y(ee.slice());
  return ae([e], ([r], [a]) => {
    a === !0 && r === !1 ? xt(() => {
      t.value.splice(0);
    }) : a === !1 && r === !0 && (t.value = ee.slice());
  }, { flush: "post" }), () => {
    var r;
    return (r = t.value.find((a) => a != null && a.isConnected)) != null ? r : null;
  };
}
function aa({ ownerDocument: e }, t) {
  let r = ra(t);
  A(() => {
    q(() => {
      var a, n;
      t.value || ((a = e.value) == null ? void 0 : a.activeElement) === ((n = e.value) == null ? void 0 : n.body) && re(r());
    }, { flush: "post" });
  }), H(() => {
    t.value && re(r());
  });
}
function na({ ownerDocument: e, container: t, initialFocus: r }, a) {
  let n = y(null), o = y(!1);
  return A(() => o.value = !0), H(() => o.value = !1), A(() => {
    ae([t, r, a], (l, i) => {
      if (l.every((u, d) => (i == null ? void 0 : i[d]) === u) || !a.value)
        return;
      let s = L(t);
      s && xt(() => {
        var u, d;
        if (!o.value)
          return;
        let v = L(r), p = (u = e.value) == null ? void 0 : u.activeElement;
        if (v) {
          if (v === p) {
            n.value = p;
            return;
          }
        } else if (s.contains(p)) {
          n.value = p;
          return;
        }
        v ? re(v) : Ee(s, G.First | G.NoScroll) === gt.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), n.value = (d = e.value) == null ? void 0 : d.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), n;
}
function oa({ ownerDocument: e, container: t, containers: r, previousActiveElement: a }, n) {
  var o;
  wt((o = e.value) == null ? void 0 : o.defaultView, "focus", (l) => {
    if (!n.value)
      return;
    let i = Et(r);
    L(t) instanceof HTMLElement && i.add(L(t));
    let s = a.value;
    if (!s)
      return;
    let u = l.target;
    u && u instanceof HTMLElement ? Ft(i, u) ? (a.value = u, re(u)) : (l.preventDefault(), l.stopPropagation(), re(s)) : re(a.value);
  }, !0);
}
function Ft(e, t) {
  for (let r of e)
    if (r.contains(t))
      return !0;
  return !1;
}
let Ue = /* @__PURE__ */ new Map(), pe = /* @__PURE__ */ new Map();
function rt(e, t = y(!0)) {
  q((r) => {
    var a;
    if (!t.value)
      return;
    let n = L(e);
    if (!n)
      return;
    r(function() {
      var l;
      if (!n)
        return;
      let i = (l = pe.get(n)) != null ? l : 1;
      if (i === 1 ? pe.delete(n) : pe.set(n, i - 1), i !== 1)
        return;
      let s = Ue.get(n);
      s && (s["aria-hidden"] === null ? n.removeAttribute("aria-hidden") : n.setAttribute("aria-hidden", s["aria-hidden"]), n.inert = s.inert, Ue.delete(n));
    });
    let o = (a = pe.get(n)) != null ? a : 0;
    pe.set(n, o + 1), o === 0 && (Ue.set(n, { "aria-hidden": n.getAttribute("aria-hidden"), inert: n.inert }), n.setAttribute("aria-hidden", "true"), n.inert = !0);
  });
}
let Lt = Symbol("ForcePortalRootContext");
function la() {
  return R(Lt, !1);
}
let je = T({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: r }) {
  return I(Lt, e.force), () => {
    let { force: a, ...n } = e;
    return _({ theirProps: n, ourProps: {}, slot: {}, slots: t, attrs: r, name: "ForcePortalRoot" });
  };
} });
function ia(e) {
  let t = se(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let r = t.getElementById("headlessui-portal-root");
  if (r)
    return r;
  let a = t.createElement("div");
  return a.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(a);
}
let kt = T({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = y(null), n = f(() => se(a)), o = la(), l = R(Ct, null), i = y(o === !0 || l == null ? ia(a.value) : l.resolveTarget());
  q(() => {
    o || l != null && (i.value = l.resolveTarget());
  });
  let s = R(qe, null);
  return A(() => {
    let u = L(a);
    u && s && H(s.register(u));
  }), H(() => {
    var u, d;
    let v = (u = n.value) == null ? void 0 : u.getElementById("headlessui-portal-root");
    v && i.value === v && i.value.children.length <= 0 && ((d = i.value.parentElement) == null || d.removeChild(i.value));
  }), () => {
    if (i.value === null)
      return null;
    let u = { ref: a, "data-headlessui-portal": "" };
    return C(zt, { to: i.value }, _({ ourProps: u, theirProps: e, slot: {}, attrs: r, slots: t, name: "Portal" }));
  };
} }), qe = Symbol("PortalParentContext");
function sa() {
  let e = R(qe, null), t = y([]);
  function r(o) {
    return t.value.push(o), e && e.register(o), () => a(o);
  }
  function a(o) {
    let l = t.value.indexOf(o);
    l !== -1 && t.value.splice(l, 1), e && e.unregister(o);
  }
  let n = { register: r, unregister: a, portals: t };
  return [t, T({ name: "PortalWrapper", setup(o, { slots: l }) {
    return I(qe, n), () => {
      var i;
      return (i = l.default) == null ? void 0 : i.call(l);
    };
  } })];
}
let Ct = Symbol("PortalGroupContext"), ua = T({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: r }) {
  let a = jt({ resolveTarget() {
    return e.target;
  } });
  return I(Ct, a), () => {
    let { target: n, ...o } = e;
    return _({ theirProps: o, ourProps: {}, slot: {}, attrs: t, slots: r, name: "PortalGroup" });
  };
} }), Dt = Symbol("StackContext");
var He = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(He || {});
function da() {
  return R(Dt, () => {
  });
}
function ca({ type: e, enabled: t, element: r, onUpdate: a }) {
  let n = da();
  function o(...l) {
    a == null || a(...l), n(...l);
  }
  A(() => {
    ae(t, (l, i) => {
      l ? o(0, e, r) : i === !0 && o(1, e, r);
    }, { immediate: !0, flush: "sync" });
  }), H(() => {
    t.value && o(1, e, r);
  }), I(Dt, o);
}
let At = Symbol("DescriptionContext");
function pa() {
  let e = R(At, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function va({ slot: e = y({}), name: t = "Description", props: r = {} } = {}) {
  let a = y([]);
  function n(o) {
    return a.value.push(o), () => {
      let l = a.value.indexOf(o);
      l !== -1 && a.value.splice(l, 1);
    };
  }
  return I(At, { register: n, slot: e, name: t, props: r }), f(() => a.value.length > 0 ? a.value.join(" ") : void 0);
}
T({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${ne()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = pa();
  return A(() => H(a.register(e.id))), () => {
    let { name: n = "Description", slot: o = y({}), props: l = {} } = a, { id: i, ...s } = e, u = { ...Object.entries(l).reduce((d, [v, p]) => Object.assign(d, { [v]: h(p) }), {}), id: i };
    return _({ ourProps: u, theirProps: s, slot: o.value, attrs: t, slots: r, name: n });
  };
} });
function fa(e) {
  let t = qt(e.getSnapshot());
  return H(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function ba(e, t) {
  let r = e(), a = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return r;
  }, subscribe(n) {
    return a.add(n), () => a.delete(n);
  }, dispatch(n, ...o) {
    let l = t[n].call(r, ...o);
    l && (r = l, a.forEach((i) => i()));
  } };
}
function ma() {
  let e;
  return { before({ doc: t }) {
    var r;
    let a = t.documentElement;
    e = ((r = t.defaultView) != null ? r : window).innerWidth - a.clientWidth;
  }, after({ doc: t, d: r }) {
    let a = t.documentElement, n = a.clientWidth - a.offsetWidth, o = e - n;
    r.style(a, "paddingRight", `${o}px`);
  } };
}
function ga() {
  if (!Jr())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: r, meta: a }) {
    function n(l) {
      return a.containers.flatMap((i) => i()).some((i) => i.contains(l));
    }
    r.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let o = null;
    r.addEventListener(t, "click", (l) => {
      if (l.target instanceof HTMLElement)
        try {
          let i = l.target.closest("a");
          if (!i)
            return;
          let { hash: s } = new URL(i.href), u = t.querySelector(s);
          u && !n(u) && (o = u);
        } catch {
        }
    }, !0), r.addEventListener(t, "touchmove", (l) => {
      l.target instanceof HTMLElement && !n(l.target) && l.preventDefault();
    }, { passive: !1 }), r.add(() => {
      window.scrollTo(0, window.pageYOffset + e), o && o.isConnected && (o.scrollIntoView({ block: "nearest" }), o = null);
    });
  } };
}
function ya() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function ha(e) {
  let t = {};
  for (let r of e)
    Object.assign(t, r(t));
  return t;
}
let te = ba(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var r;
  let a = (r = this.get(e)) != null ? r : { doc: e, count: 0, d: De(), meta: /* @__PURE__ */ new Set() };
  return a.count++, a.meta.add(t), this.set(e, a), this;
}, POP(e, t) {
  let r = this.get(e);
  return r && (r.count--, r.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: r }) {
  let a = { doc: e, d: t, meta: ha(r) }, n = [ga(), ma(), ya()];
  n.forEach(({ before: o }) => o == null ? void 0 : o(a)), n.forEach(({ after: o }) => o == null ? void 0 : o(a));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
te.subscribe(() => {
  let e = te.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [r] of e)
    t.set(r, r.documentElement.style.overflow);
  for (let r of e.values()) {
    let a = t.get(r.doc) === "hidden", n = r.count !== 0;
    (n && !a || !n && a) && te.dispatch(r.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", r), r.count === 0 && te.dispatch("TEARDOWN", r);
  }
});
function wa(e, t, r) {
  let a = fa(te), n = f(() => {
    let o = e.value ? a.value.get(e.value) : void 0;
    return o ? o.count > 0 : !1;
  });
  return ae([e, t], ([o, l], [i], s) => {
    if (!o || !l)
      return;
    te.dispatch("PUSH", o, r);
    let u = !1;
    s(() => {
      u || (te.dispatch("POP", i ?? o, r), u = !0);
    });
  }, { immediate: !0 }), n;
}
function xa({ defaultContainers: e = [], portals: t } = {}) {
  let r = y(null), a = se(r);
  function n() {
    var o;
    let l = [];
    for (let i of e)
      i !== null && (i instanceof HTMLElement ? l.push(i) : "value" in i && i.value instanceof HTMLElement && l.push(i.value));
    if (t != null && t.value)
      for (let i of t.value)
        l.push(i);
    for (let i of (o = a == null ? void 0 : a.querySelectorAll("html > *, body > *")) != null ? o : [])
      i !== document.body && i !== document.head && i instanceof HTMLElement && i.id !== "headlessui-portal-root" && (i.contains(L(r)) || l.some((s) => i.contains(s)) || l.push(i));
    return l;
  }
  return { resolveContainers: n, contains(o) {
    return n().some((l) => l.contains(o));
  }, mainTreeNodeRef: r, MainTreeNode() {
    return C(ze, { features: Le.Hidden, ref: r });
  } };
}
var Ea = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(Ea || {});
let Ie = Symbol("DialogContext");
function be(e) {
  let t = R(Ie, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, be), r;
  }
  return t;
}
let we = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", Ta = T({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: we }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${ne()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  var o;
  let l = y(!1);
  A(() => {
    l.value = !0;
  });
  let i = y(0), s = Qe(), u = f(() => e.open === we && s !== null ? (s.value & B.Open) === B.Open : e.open), d = y(null), v = f(() => se(d));
  if (n({ el: d, $el: d }), !(e.open !== we || s !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof u.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${u.value === we ? void 0 : e.open}`);
  let p = f(() => l.value && u.value ? 0 : 1), m = f(() => p.value === 0), g = f(() => i.value > 1), w = R(Ie, null) !== null, [D, Y] = sa(), { resolveContainers: P, mainTreeNodeRef: X, MainTreeNode: me } = xa({ portals: D, defaultContainers: [f(() => {
    var E;
    return (E = S.panelRef.value) != null ? E : d.value;
  })] }), ge = f(() => g.value ? "parent" : "leaf"), ue = f(() => s !== null ? (s.value & B.Closing) === B.Closing : !1), $e = f(() => w || ue.value ? !1 : m.value), ye = f(() => {
    var E, k, z;
    return (z = Array.from((k = (E = v.value) == null ? void 0 : E.querySelectorAll("body > *")) != null ? k : []).find((j) => j.id === "headlessui-portal-root" ? !1 : j.contains(L(X)) && j instanceof HTMLElement)) != null ? z : null;
  });
  rt(ye, $e);
  let Se = f(() => g.value ? !0 : m.value), Oe = f(() => {
    var E, k, z;
    return (z = Array.from((k = (E = v.value) == null ? void 0 : E.querySelectorAll("[data-headlessui-portal]")) != null ? k : []).find((j) => j.contains(L(X)) && j instanceof HTMLElement)) != null ? z : null;
  });
  rt(Oe, Se), ca({ type: "Dialog", enabled: f(() => p.value === 0), element: d, onUpdate: (E, k) => {
    if (k === "Dialog")
      return V(E, { [He.Add]: () => i.value += 1, [He.Remove]: () => i.value -= 1 });
  } });
  let Be = va({ name: "DialogDescription", slot: f(() => ({ open: u.value })) }), oe = y(null), S = { titleId: oe, panelRef: y(null), dialogState: p, setTitleId(E) {
    oe.value !== E && (oe.value = E);
  }, close() {
    t("close", !1);
  } };
  I(Ie, S);
  let de = f(() => !(!m.value || g.value));
  Xr(P, (E, k) => {
    S.close(), Ht(() => k == null ? void 0 : k.focus());
  }, de);
  let W = f(() => !(g.value || p.value !== 0));
  wt((o = v.value) == null ? void 0 : o.defaultView, "keydown", (E) => {
    W.value && (E.defaultPrevented || E.key === bt.Escape && (E.preventDefault(), E.stopPropagation(), S.close()));
  });
  let le = f(() => !(ue.value || p.value !== 0 || w));
  return wa(v, le, (E) => {
    var k;
    return { containers: [...(k = E.containers) != null ? k : [], P] };
  }), q((E) => {
    if (p.value !== 0)
      return;
    let k = L(d);
    if (!k)
      return;
    let z = new ResizeObserver((j) => {
      for (let he of j) {
        let Z = he.target.getBoundingClientRect();
        Z.x === 0 && Z.y === 0 && Z.width === 0 && Z.height === 0 && S.close();
      }
    });
    z.observe(k), E(() => z.disconnect());
  }), () => {
    let { id: E, open: k, initialFocus: z, ...j } = e, he = { ...r, ref: d, id: E, role: "dialog", "aria-modal": p.value === 0 ? !0 : void 0, "aria-labelledby": oe.value, "aria-describedby": Be.value }, Z = { open: p.value === 0 };
    return C(je, { force: !0 }, () => [C(kt, () => C(ua, { target: d.value }, () => C(je, { force: !1 }, () => C(ce, { initialFocus: z, containers: P, features: m.value ? V(ge.value, { parent: ce.features.RestoreFocus, leaf: ce.features.All & ~ce.features.FocusLock }) : ce.features.None }, () => C(Y, {}, () => _({ ourProps: he, theirProps: { ...j, ...r }, slot: Z, attrs: r, slots: a, visible: p.value === 0, features: Fe.RenderStrategy | Fe.Static, name: "Dialog" })))))), C(me)]);
  };
} });
T({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${ne()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = be("DialogOverlay");
  function n(o) {
    o.target === o.currentTarget && (o.preventDefault(), o.stopPropagation(), a.close());
  }
  return () => {
    let { id: o, ...l } = e;
    return _({ ourProps: { id: o, "aria-hidden": !0, onClick: n }, theirProps: l, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogOverlay" });
  };
} });
T({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${ne()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = be("DialogBackdrop"), o = y(null);
  return a({ el: o, $el: o }), A(() => {
    if (n.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: l, ...i } = e, s = { id: l, ref: o, "aria-hidden": !0 };
    return C(je, { force: !0 }, () => C(kt, () => _({ ourProps: s, theirProps: { ...t, ...i }, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogBackdrop" })));
  };
} });
let Fa = T({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${ne()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = be("DialogPanel");
  a({ el: n.panelRef, $el: n.panelRef });
  function o(l) {
    l.stopPropagation();
  }
  return () => {
    let { id: l, ...i } = e, s = { id: l, ref: n.panelRef, onClick: o };
    return _({ ourProps: s, theirProps: i, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogPanel" });
  };
} }), La = T({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${ne()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = be("DialogTitle");
  return A(() => {
    a.setTitleId(e.id), H(() => a.setTitleId(null));
  }), () => {
    let { id: n, ...o } = e;
    return _({ ourProps: { id: n }, theirProps: o, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogTitle" });
  };
} });
function ka(e) {
  let t = { called: !1 };
  return (...r) => {
    if (!t.called)
      return t.called = !0, e(...r);
  };
}
function Me(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function xe(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var Ve = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(Ve || {});
function Ca(e, t) {
  let r = De();
  if (!e)
    return r.dispose;
  let { transitionDuration: a, transitionDelay: n } = getComputedStyle(e), [o, l] = [a, n].map((i) => {
    let [s = 0] = i.split(",").filter(Boolean).map((u) => u.includes("ms") ? parseFloat(u) : parseFloat(u) * 1e3).sort((u, d) => d - u);
    return s;
  });
  return o !== 0 ? r.setTimeout(() => t("finished"), o + l) : t("finished"), r.add(() => t("cancelled")), r.dispose;
}
function at(e, t, r, a, n, o) {
  let l = De(), i = o !== void 0 ? ka(o) : () => {
  };
  return xe(e, ...n), Me(e, ...t, ...r), l.nextFrame(() => {
    xe(e, ...r), Me(e, ...a), l.add(Ca(e, (s) => (xe(e, ...a, ...t), Me(e, ...n), i(s))));
  }), l.add(() => xe(e, ...t, ...r, ...a, ...n)), l.add(() => i("cancelled")), l.dispose;
}
function J(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let Ge = Symbol("TransitionContext");
var Da = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(Da || {});
function Aa() {
  return R(Ge, null) !== null;
}
function $a() {
  let e = R(Ge, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function Sa() {
  let e = R(Ke, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let Ke = Symbol("NestingContext");
function Ae(e) {
  return "children" in e ? Ae(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function $t(e) {
  let t = y([]), r = y(!1);
  A(() => r.value = !0), H(() => r.value = !1);
  function a(o, l = K.Hidden) {
    let i = t.value.findIndex(({ id: s }) => s === o);
    i !== -1 && (V(l, { [K.Unmount]() {
      t.value.splice(i, 1);
    }, [K.Hidden]() {
      t.value[i].state = "hidden";
    } }), !Ae(t) && r.value && (e == null || e()));
  }
  function n(o) {
    let l = t.value.find(({ id: i }) => i === o);
    return l ? l.state !== "visible" && (l.state = "visible") : t.value.push({ id: o, state: "visible" }), () => a(o, K.Unmount);
  }
  return { children: t, register: n, unregister: a };
}
let St = Fe.RenderStrategy, We = T({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  let o = y(0);
  function l() {
    o.value |= B.Opening, t("beforeEnter");
  }
  function i() {
    o.value &= ~B.Opening, t("afterEnter");
  }
  function s() {
    o.value |= B.Closing, t("beforeLeave");
  }
  function u() {
    o.value &= ~B.Closing, t("afterLeave");
  }
  if (!Aa() && zr())
    return () => C(Ot, { ...e, onBeforeEnter: l, onAfterEnter: i, onBeforeLeave: s, onAfterLeave: u }, a);
  let d = y(null), v = f(() => e.unmount ? K.Unmount : K.Hidden);
  n({ el: d, $el: d });
  let { show: p, appear: m } = $a(), { register: g, unregister: w } = Sa(), D = y(p.value ? "visible" : "hidden"), Y = { value: !0 }, P = ne(), X = { value: !1 }, me = $t(() => {
    !X.value && D.value !== "hidden" && (D.value = "hidden", w(P), u());
  });
  A(() => {
    let S = g(P);
    H(S);
  }), q(() => {
    if (v.value === K.Hidden && P) {
      if (p.value && D.value !== "visible") {
        D.value = "visible";
        return;
      }
      V(D.value, { hidden: () => w(P), visible: () => g(P) });
    }
  });
  let ge = J(e.enter), ue = J(e.enterFrom), $e = J(e.enterTo), ye = J(e.entered), Se = J(e.leave), Oe = J(e.leaveFrom), Be = J(e.leaveTo);
  A(() => {
    q(() => {
      if (D.value === "visible") {
        let S = L(d);
        if (S instanceof Comment && S.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function oe(S) {
    let de = Y.value && !m.value, W = L(d);
    !W || !(W instanceof HTMLElement) || de || (X.value = !0, p.value && l(), p.value || s(), S(p.value ? at(W, ge, ue, $e, ye, (le) => {
      X.value = !1, le === Ve.Finished && i();
    }) : at(W, Se, Oe, Be, ye, (le) => {
      X.value = !1, le === Ve.Finished && (Ae(me) || (D.value = "hidden", w(P), u()));
    })));
  }
  return A(() => {
    ae([p], (S, de, W) => {
      oe(W), Y.value = !1;
    }, { immediate: !0 });
  }), I(Ke, me), jr(f(() => V(D.value, { visible: B.Open, hidden: B.Closed }) | o.value)), () => {
    let { appear: S, show: de, enter: W, enterFrom: le, enterTo: E, entered: k, leave: z, leaveFrom: j, leaveTo: he, ...Z } = e, Bt = { ref: d }, _t = { ...Z, ...m.value && p.value && fe.isServer ? { class: $([r.class, Z.class, ...ge, ...ue]) } : {} };
    return _({ theirProps: _t, ourProps: Bt, slot: {}, slots: a, attrs: r, features: St, visible: D.value === "visible", name: "TransitionChild" });
  };
} }), Oa = We, Ot = T({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a }) {
  let n = Qe(), o = f(() => e.show === null && n !== null ? (n.value & B.Open) === B.Open : e.show);
  q(() => {
    if (![!0, !1].includes(o.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let l = y(o.value ? "visible" : "hidden"), i = $t(() => {
    l.value = "hidden";
  }), s = y(!0), u = { show: o, appear: f(() => e.appear || !s.value) };
  return A(() => {
    q(() => {
      s.value = !1, o.value ? l.value = "visible" : Ae(i) || (l.value = "hidden");
    });
  }), I(Ke, i), I(Ge, u), () => {
    let d = ft(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), v = { unmount: e.unmount };
    return _({ ourProps: { ...v, as: "template" }, theirProps: {}, slot: {}, slots: { ...a, default: () => [C(Oa, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...r, ...v, ...d }, a.default)] }, attrs: {}, features: St, visible: l.value === "visible", name: "Transition" });
  };
} });
const Ba = { class: "flex h-screen w-screen items-center justify-center overflow-hidden" }, _a = /* @__PURE__ */ x("div", { class: "bcc-modal-overlay" }, null, -1), Pa = { class: "bcc-modal-wrapper" }, Ua = {
  key: 0,
  class: "bcc-modal-header"
}, Ma = {
  key: 1,
  class: "bcc-modal-body"
}, Na = {
  key: 0,
  class: "bcc-modal-title"
}, Ra = { class: "bcc-modal-content" }, za = { class: "bcc-modal-footer" }, ja = {
  key: 0,
  class: "bcc-modal-footer-content"
}, qa = { class: "bcc-modal-actions" }, Ha = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, Ia = { class: "bcc-modal-primary-action" }, ln = /* @__PURE__ */ T({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = nt(), n = f(() => r.closeButton && !a.header);
    return (o, l) => (c(), M(h(Ot), {
      as: "template",
      show: o.open
    }, {
      default: U(() => [
        O(h(Ta), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: l[2] || (l[2] = (i) => t("close"))
        }, {
          default: U(() => [
            x("div", Ba, [
              O(h(We), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: U(() => [
                  _a
                ]),
                _: 1
              }),
              O(h(We), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: U(() => [
                  x("div", Pa, [
                    O(h(Fa), ke({ class: "bcc-modal" }, o.$attrs), {
                      default: U(() => [
                        o.$slots.header ? (c(), b("div", Ua, [
                          Q(o.$slots, "header")
                        ])) : F("", !0),
                        o.title || n.value || h(a).default ? (c(), b("div", Ma, [
                          o.title || n.value ? (c(), b("div", Na, [
                            O(h(La), { as: "h3" }, {
                              default: U(() => [
                                Te(N(o.title), 1)
                              ]),
                              _: 1
                            }),
                            n.value ? (c(), b("button", {
                              key: 0,
                              onClick: l[0] || (l[0] = It((i) => t("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              O(h(ct), { class: "bcc-modal-close-icon" })
                            ])) : F("", !0)
                          ])) : F("", !0),
                          x("div", Ra, [
                            Q(o.$slots, "default")
                          ])
                        ])) : F("", !0),
                        x("div", za, [
                          o.$slots.footer ? (c(), b("div", ja, [
                            Q(o.$slots, "footer")
                          ])) : F("", !0),
                          x("div", qa, [
                            o.$slots.secondaryAction ? (c(), b("div", Ha, [
                              Q(o.$slots, "secondaryAction")
                            ])) : F("", !0),
                            x("div", Ia, [
                              Q(o.$slots, "primaryAction", {}, () => [
                                O(Ne, {
                                  onClick: l[1] || (l[1] = (i) => t("close"))
                                }, {
                                  default: U(() => [
                                    Te(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), Va = ["disabled"], Wa = {
  inheritAttrs: !1
}, sn = /* @__PURE__ */ T({
  ...Wa,
  __name: "BccCheckbox",
  props: {
    modelValue: { type: Boolean },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, indeterminate: n } = ot(r), o = y(null), l = `bcc-checkbox-${Ze()}`, i = f({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return A(() => {
      ae(
        n,
        (s) => {
          if (o.value) {
            const u = o.value;
            u.indeterminate = s;
          }
        },
        { immediate: !0 }
      );
    }), (s, u) => (c(), b("div", {
      class: $(["bcc-checkbox-wrapper", { "bcc-checkbox-wrapper-disabled": s.disabled }])
    }, [
      lt(x("input", ke({
        type: "checkbox",
        class: "bcc-checkbox",
        id: l,
        disabled: s.disabled,
        "onUpdate:modelValue": u[0] || (u[0] = (d) => i.value = d)
      }, s.$attrs, {
        ref_key: "input",
        ref: o
      }), null, 16, Va), [
        [it, i.value]
      ]),
      x("label", { for: l }, N(s.label), 1)
    ], 2));
  }
}), Za = ["disabled"], Qa = {
  inheritAttrs: !1
}, un = /* @__PURE__ */ T({
  ...Qa,
  __name: "BccRadio",
  props: {
    label: {},
    disabled: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = `bcc-radio-${Ze()}`;
    return (a, n) => (c(), b("div", {
      class: $(["bcc-radio-wrapper", { "bcc-radio-wrapper-disabled": a.disabled }])
    }, [
      x("input", ke({
        type: "radio",
        class: "bcc-radio",
        id: r,
        disabled: a.disabled
      }, a.$attrs, {
        onInput: n[0] || (n[0] = (o) => t("update:modelValue", o.target.value))
      }), null, 16, Za),
      x("label", { for: r }, N(a.label), 1)
    ], 2));
  }
});
export {
  rn as BccAvatar,
  Ja as BccBadge,
  Ne as BccButton,
  tn as BccCapacityIndicator,
  sn as BccCheckbox,
  on as BccCookieBanner,
  Xa as BccInput,
  ln as BccModal,
  en as BccPin,
  un as BccRadio,
  nn as BccStatusIndicator,
  an as BccToggle,
  Ya as bccForbundetTheme,
  Ka as tailwindPlugin,
  Je as useAnimatedNumber
};
